transformers-compat: A small compatibility shim exposing the new types from transformers 0.3 and 0.4 to older Haskell platforms.

[ bsd3, compatibility, library ] [ Propose Tags ]

This package includes backported versions of types that were added to transformers in transformers 0.3, 0.4, and 0.5 for users who need strict transformers 0.2 or 0.3 compatibility to run on old versions of the platform, but also need those types.

Those users should be able to just depend on transformers >= 0.2 and transformers-compat >= 0.3.

Note: missing methods are not supplied, but this at least permits the types to be used.


[Skip to Readme]
Versions 0.1, 0.1.1, 0.1.1.1, 0.2, 0.3, 0.3.2, 0.3.3, 0.3.3.2, 0.3.3.3, 0.3.3.4, 0.4.0.2, 0.4.0.3, 0.4.0.4, 0.5.0.2, 0.5.0.3, 0.5.0.4, 0.5.1.2, 0.5.1.3, 0.5.1.4, 0.6.0.2, 0.6.0.3, 0.6.0.4, 0.6.0.5, 0.6.0.6, 0.6.1.2, 0.6.1.3, 0.6.1.4, 0.6.1.5, 0.6.1.6, 0.6.2
Change log CHANGELOG.markdown
Dependencies base (>=4.6 && <5), ghc-prim, mtl (==2.1.*), transformers (==0.3.*) [details]
License BSD-3-Clause
Copyright Copyright (C) 2012-2015 Edward A. Kmett
Author Edward A. Kmett
Maintainer Edward A. Kmett <ekmett@gmail.com>
Revised Revision 1 made by EdwardKmett at Sun Jan 17 03:52:03 UTC 2016
Category Compatibility
Home page http://github.com/ekmett/transformers-compat/
Bug tracker http://github.com/ekmett/transformers-compat/issues
Source repo head: git clone git://github.com/ekmett/transformers-compat.git
Uploaded by EdwardKmett at Sat Jan 16 20:22:43 UTC 2016
Distributions Arch:0.6.2, Debian:0.4.0.4, Fedora:0.5.1.4, FreeBSD:0.4.0.4, LTSHaskell:0.6.2, NixOS:0.6.2, Stackage:0.6.2, openSUSE:0.6.2
Downloads 307341 total (545 in the last 30 days)
Rating 2.0 (votes: 1) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
All reported builds failed as of 2016-11-28 [all 3 reports]
Hackage Matrix CI

Modules

  • Control
    • Applicative
      • Control.Applicative.Backwards
      • Control.Applicative.Lift
    • Monad
      • Control.Monad.Signatures
      • Trans
        • Control.Monad.Trans.Except
        • Control.Monad.Trans.Instances
  • Data
    • Functor
      • Data.Functor.Classes
      • Data.Functor.Reverse
      • Data.Functor.Sum

Flags

NameDescriptionDefaultType
two

Use transformers 0.2. This will be selected by cabal picking the appropriate version.

DisabledManual
three

Use transformers 0.3. This will be selected by cabal picking the appropriate version.

EnabledManual
mtl
  • f-mtl Disables support for mtl for transformers 0.2 and 0.3. That is an unsupported configuration, and results in missing instances for ExceptT, but keeps the package Haskell 98.

EnabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees


Readme for transformers-compat-0.5.0.3

[back to package description]

transformers-compat

Hackage Build Status

This provides a thin compatibility shim on top of transformers-0.2 to add the types that were added in transformers-0.3.

This enables users to maintain haskell-platform compatibility, while still gaining access ot the new functionality.

Contact Information

Contributions and bug reports are welcome!

Please feel free to contact me through github or on the #haskell IRC channel on irc.freenode.net.

-Edward Kmett